// VCamCOMTestDlg.h : header file
//

#pragma once

class IVCamSDK;

// CVCamCOMTestDlg dialog
class CVCamCOMTestDlg : public CDHtmlDialog
{
// Construction
public:
	CVCamCOMTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VCAMCOMTEST_DIALOG, IDH = IDR_HTML_VCAMCOMTEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	HRESULT OnButtonOK(IHTMLElement *pElement);
	HRESULT OnButtonPlayFile(IHTMLElement *pElement);
	HRESULT OnButtonSeek(IHTMLElement *pElement);
	HRESULT OnButtonPlayDevice(IHTMLElement *pElement);
	HRESULT OnButtonScreenCapture(IHTMLElement *pElement);
	HRESULT OnButtonPlayBuffer(IHTMLElement *pElement);
	HRESULT OnButtonOverlay(IHTMLElement *pElement);
	HRESULT OnButtonStop(IHTMLElement *pElement);
	HRESULT OnButtonConfig(IHTMLElement *pElement);

private:
	IVCamSDK* m_pVCam;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
};
